Foreman - Bug #18588

Editing Smart Class parameters using Internet Explorer fails with Internal Server Error
02/21/2017 08:05 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Parameters
Target version: 1.14.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1422188 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4313
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1422188

Description of problem:
[BUG] Editing Smart Class parameters using Internet Explorer fails with Internal Server Error

Version-Release number of selected component (if applicable):
Satellite 6.2.7

How reproducible:

Steps to Reproduce:
1. Using Internet Explorer navigate to Satellite WebUI ---> Configure ---> Smart Class Parameters ---> Edit Parameter
2. We get an Internal Server Error during Submit

Actual results:
Internal Server Error

> /var/log/httpd/foreman-ssl_error_ssl.log <

[Thu Feb 09 15:45:58.976065 2017] [ssl:warn] [pid 15664] [client 10.XXX.XXX.XXX:56226] AH02227: Failed to set r->user to
'SSL_CLIENT_S_DN_CN!, referer: https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd

[Thu Feb 09 15:45:59.001294 2017] [core:error] [pid 15664] [client 10.XXX.XXX.XXX:56226] End of script output before headers:
puppetclass_lookup_keys, referer: https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd >
/var/log/httpd/foreman-ssl_access_ssl.log <

10. XXX XXX XXX - - [09/Feb/2017:15:45:58 +0000] "POST /puppetclass_lookup_keys/446-ciphers HTTP/1.1" 500 531
"https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like
Gecko"

Expected results:
The changes should be saved.

Workaround:
1. Use a different browser (FF or Chrome)

2. Open the parameter for edit in a separate tab, not in the list itself. This can be done either by clicking the middle mouse button on
the link, or by right clicking on the link and selecting "Open in new tab"

Associated revisions

Revision 8cc2651f - 03/08/2017 04:53 AM - Evgeni Golov
Fixes #18587, #18588 - Fix 'multipart form data' IE bug
According to this bug [1] multipart form data is malformed if there

are fields without names. It been solved within Edge browser, however
no solution is expected for IE10/IE11
It cause a failure with Rack - EOFError: bad content body, therefore
pages like domains and subnet create/edit cannot be submitted (and all
other forms which are submitted via ajax with multipart form data, and
an unnamed field within).

This is identical to https://github.com/theforeman/foreman/pull/4125
but moves the workaround to an own helper function and calls the
function in every submit_or_cancel invocation, thus fixing all forms
which use the two-pane layout.

[1] https://connect.microsoft.com/IE/Feedback/Details/868498

Revision 2227bd55 - 03/28/2017 11:47 AM - Evgeni Golov
Fixes #18587, #18588 - Fix 'multipart form data' IE bug

According to this bug [1] multipart form data is malformed if there
are fields without names. It been solved within Edge browser, however
no solution is expected for IE10/IE11

It cause a failure with Rack - EOFError: bad content body, therefore
pages like domains and subnet create/edit cannot be submitted (and all
other forms which are submitted via ajax with multipart form data, and
an unnamed field within).

This is identical to https:/github.com/theforeman/foreman/pull/4125
but moves the workaround to an own helper function and calls the
function in every submit_or_cancel invocation, thus fixing all forms
which use the two-pane layout.

[1] https://connect.microsoft.com/IE/Feedback/Details/868498

(cherry picked from commit 8cc2651fae3caca8eb4b3e574957099148e5266b)

History

#1 - 02/21/2017 08:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4313 added

#2 - 03/08/2017 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8cc2651fae3caca8eb4b3e574957099148e5266b.

#3 - 03/08/2017 05:15 AM - Dominic Cleal

- Subject changed from [BUG] Editing Smart Class parameters using Internet Explorer fails with Internal Server Error
to Editing Smart Class parameters using Internet Explorer fails with Internal Server Error

- Assignee set to Evgeni Golov

- translation missing: en.field_release set to 227
